from model.sense import Sense

class Entry:
    def __init__(self, entry_xml):
        status = entry_xml.querySelector("head status")
        headword = entry_xml.querySelector("head headword lemma")
        grammar = entry_xml.querySelector("head grammar category")
        comment = entry_xml.querySelector("head comment")
        
        self.status = status.textContent if status else ""
        self.headword = headword.textContent if headword else ""
        self.grammar = grammar.textContent if grammar else ""
        self.comment = comment.textContent if comment else ""
        
        self.senses = [Sense(sense_xml) for sense_xml in 
                       entry_xml.querySelectorAll("body senseList sense")]

